`score2proba` <-
function(data.tr, score, yr, method=c("cox", "prodlim")) {
	method <- match.arg(method)
	cc.ix <- complete.cases(score)
	score2 <- score[cc.ix]
	pred <- rep(NA, length(score))
	names(pred) <- names(score)
	switch(method,
	"cox"={
		require(survival)
		predm <- coxph(Surv(time, event) ~ score, data=data.tr)
		sf <- survfit(predm, newdata=data.frame("score"=score2))
		pred[cc.ix] <- getsurv2(sf=sf, time=yr)
	},
	"prodlim"={
		require(prodlim)
		predm <- prodlim(Surv(time, event) ~ score, data=data.tr)
		pred[cc.ix] <- unlist(predict(predm, newdata=data.frame("score"=score2), times=yr))
	})
	return(pred)
}

